<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_8cca4dd34e20c5344bb2a30f2533c" . "4e5" => base64_decode("ZnVsbF9uY" . "W1l"), "_28c85ce81fee65" . "32980262893b6f2" . "425" => base64_decode("dXNlcm5" . "hbWU="), "_baec81a782bb3d53814" . "9a9225688246e" => base64_decode("ZXZlbnRfc2" . "91cmNl"), "_5439477835f9c7c" . "c26a988f88cb1955" . "3" => base64_decode("cHJldl9mdWxsX25" . "hbWU="), "_eb6cb4623735c07195e93735d6" . "59236d" => base64_decode("cHJldl9lbWFpbF" . "9hZGRyZXNz"), "user_i" . "d" => base64_decode("dXN" . "lcl" . "9pZ" . "A=="), "_dd45fa0d6586ab8e73f" . "6f6f116b1a970" => base64_decode("cHJldl91c2VyX2l" . "k"), "_b070ffda70d673baa2a" . "b1a4ca13c254c" => base64_decode("cHJldl91c2" . "VybmFtZQ=="), "_539cf4259a" . "149ca9dbb73" . "9b2cdb7c608" => base64_decode("ZW1haWxfYWRkcmVz" . "cw=="), "con" . "tex" . "t" => base64_decode("Y29udGV" . "4dA=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["con" . "tex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["co" . "nt" . "ex" . "t"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_8cca4dd34e20c5344bb2" . "a30f2533c4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_28c85ce81fee6532980" . "262893b6f2425"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_539cf4259a149ca9dbb739b2" . "cdb7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_dd45fa0d6586ab8e73f6f6" . "f116b1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_5439477835f9c7" . "cc26a988f88cb19" . "553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_b070ffda70d673baa2ab1a4ca13" . "c254c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_eb6cb462" . "3735c0719" . "5e93735d6" . "59236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_baec81a782bb3d5381" . "49a9225688246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}